
%global meadversion 2.0.0
%global namedversion 2.0.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-el-api_3.0_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.0.Final-redhat-00001

Name:           %{?scl_prefix}jboss-el-api_3.0_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Expression Language 3.0 API
Group:          Development/Java

%if %with mead
Source100: jboss-el-api_3.0_spec-2.0.0.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-el-api_3.0_spec-2.0.0.Final-redhat-00001-sources.jar
Source103: jboss-el-api_3.0_spec-2.0.0.Final-redhat-00001-javadoc.jar
Source104: jboss-el-api_3.0_spec-2.0.0.Final-redhat-00001.jar
Source105: jboss-el-api_3.0_spec-2.0.0.Final-redhat-00001.pom
%endif

License:        EPL-2.0
URL:            https://github.com/jboss/jboss-el-api_spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JSR-341 Expression Language 3.0 API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-el-api_3.0_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-el-api_3.0_spec-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-el-api_3.0_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-el-api_3.0_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-el-api_3.0_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-el-api_3.0_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-el-api_3.0_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-el-api_3.0_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-el-api_3.0_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-el-api_3.0_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-el-api_3.0_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-el-api_3.0_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-el-api_3.0_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%if 0
%doc LICENSE README
%endif
%{_javadir}/jboss-el-api_3.0_spec-%{namedversion}.jar
%{_javadir}/jboss-el-api_3.0_spec.jar
%if %with javadoc
%{_javadir}/jboss-el-api_3.0_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-el-api_3.0_spec-javadoc.jar
%endif
%{_javadir}/jboss-el-api_3.0_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-el-api_3.0_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-el-api_3.0_spec-%{namedversion}
%{_javadocdir}/jboss-el-api_3.0_spec
%endif

%changelog
* Fri Oct 18 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.0-2.Final_redhat_00001.1
- Fix License

* Mon Sep 30 2019 Yong Yang <yyang@redhat.com> - 2.0.0-1.Final_redhat_00001.1
- RPM wrapper build 2.0.0.Final-redhat-00001

* Mon Sep 30 2019 Yong Yang <yyang@redhat.com> - 1.0.12-2.Final_redhat_00001.1
- RPM wrapper build 2.0.0.Final-redhat-00001

* Wed Aug 08 2018 Petr Sakar <psakar@redhat.com> - 1.0.12-1.Final_redhat_00001.1
- upgrade to 1.0.12.Final-redhat-00001

* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 1.0.11-1.Final_redhat_1.1
- 1.0.11.Final-redhat-1 for eap 7.2.0

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.9-3.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.9-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 1.0.9-1.Final_redhat_1.1
- upgrade to 1.0.9.Final-redhat-1

* Mon Aug 15 2016 Petr Sakar <psakar@redhat.com> - 1.0.7-1.Final_redhat_1.1
- upgrade to 1.0.7.Final-redhat-1

* Tue Mar 15 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.6-1.Final_redhat_1.1
- Upgrade to 1.0.6.Final

* Thu Nov 05 2015 Neil Wallace <nwallace@redhat.com> - 1.0.5-1.Final_redhat_1.1
- Upgrade to 1.0.5.Final

* Thu Nov 05 2015 Neil Wallace <nwallace@redhat.com> - 1.0.5-1.Final_redhat_2.1
- Rebuild of updated 1.0.5.Final

* Fri Jun 12 2015 Hui Wang <huwang@redhat.com> - 1.0.4-1.Final_redhat_1.1
- Initial build


